%global pypi_name django-openid-auth

Name:           python-%{pypi_name}
Version:        0.5
Release:        4%{?dist}
Summary:        OpenID integration for django.contrib.auth

License:        BSD
URL:            https://launchpad.net/django-openid-auth
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel

%if 0%{?fedora} >= 18
Requires: python-django
%else
Requires:        Django
%endif
Requires: python-openid

# fixed upstream but no release on PyPi as of 20140617
Patch0: 0001-Fix-compatibility-with-Django-1.6.patch

%description
A library that can be used to add OpenID support to Django applications.
The library integrates with Django's built in authentication system, so
most applications require minimal changes to support OpenID login.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt README.txt
%{python_sitelib}/django_openid_auth
%{python_sitelib}/django_openid_auth-%{version}-py?.?.egg-info

%changelog
* Tue Jun 17 2014 Richard Marko <rmarko@fedoraproject.org> - 0.5-4
- Fix compatibility with Django 1.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 18 2013 Richard Marko <rmarko@fedoraproject.org> - 0.5-1
- Version bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 02 2012 Richard Marko <rmarko@redhat.com> - 0.4-2
- Fixing upstream URL.

* Thu Oct 25 2012 Richard Marko <rmarko@redhat.com> - 0.4-1
- Initial package.
